| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenMeshAnimationControlState Struct Reference
[Mesh plugins]

This interface describes the API for setting up the animation control as implemented by the 'gmeshanim' plugin. More...

`#include <imesh/gmeshanim.h>`

Inheritance diagram for iGenMeshAnimationControlState:

[legend]
List of all members.

## Public Member Functions
virtual bool | Execute (const char *scriptname)=0
| Execute the given animation script.
virtual void | Stop (const char *scriptname)=0
| Stop execution of the given script.
virtual void | Stop ()=0
| Stop execution of all animation scripts.

## Detailed Description

This interface describes the API for setting up the animation control as implemented by the 'gmeshanim' plugin.

The objects that implement iGenMeshAnimationControl also implement this interface.

Definition at line 36 of file gmeshanim.h.

## Member Function Documentation

virtual bool iGenMeshAnimationControlState::Execute | ( | const char * | scriptname | ) | `[pure virtual]`

Execute the given animation script.

This will be done in addition to the scripts that are already running. Returns false in case of failure (usually a script that doesn't exist).

virtual void iGenMeshAnimationControlState::Stop | ( | const char * | scriptname | ) | `[pure virtual]`

Stop execution of the given script.

virtual void iGenMeshAnimationControlState::Stop | ( |  | ) | `[pure virtual]`

Stop execution of all animation scripts.

The documentation for this struct was generated from the following file:

- imesh/gmeshanim.h